## EvDocumentFonts

EvDocumentFonts

## Functions

#define | EV_DOCUMENT_FONTS_IFACE ()
#define | EV_IS_DOCUMENT_FONTS_IFACE ()
gboolean | ev_document_fonts_scan ()
double | ev_document_fonts_get_progress ()
void | ev_document_fonts_fill_model ()

## Types and Values

| EvDocumentFonts

## Object Hierarchy

        GInterface
        ╰── EvDocumentFonts

## Description

## Functions

### EV_DOCUMENT_FONTS_IFACE()

    #define EV_DOCUMENT_FONTS_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_FONTS, EvDocumentFontsInterface))

### EV_IS_DOCUMENT_FONTS_IFACE()

    #define EV_IS_DOCUMENT_FONTS_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_FONTS))

### ev_document_fonts_scan ()

    gboolean
    ev_document_fonts_scan (EvDocumentFonts *document_fonts,
                            int n_pages);

### ev_document_fonts_get_progress ()

    double
    ev_document_fonts_get_progress (EvDocumentFonts *document_fonts);

### ev_document_fonts_fill_model ()

    void
    ev_document_fonts_fill_model (EvDocumentFonts *document_fonts,
                                  GtkTreeModel *model);

## Types and Values

### EvDocumentFonts

    typedef struct _EvDocumentFonts EvDocumentFonts;